Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2015 18:48:20 +0300

> Date: Wed, 29 Apr 2015 01:15:42 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
>         There seems some confusion here: you do now invoke xref-find-function. It's not 
>         a function anyway, it's a variable, which different backends can set to 
>         implement the backend interface.
> 
>     Then the confusion is the doc string's fault: it should make this
>     aspect clear.  And if there are no back-ends currently that support
>     these options, I'd suggest to remove that from the doc string -- we
>     shouldn't advertise in the docs stuff that no one implemented.
> 
> The doc string is about the interface: as long as a given backend implements the `references' action, `M-x xref-find-references' will display the returned list.

An interface that has no known implementation doesn't really exist.
I'm asking why do we advertise such a non-existing interface.

> Please feel free to suggest better wording for the docstring.

I already did.